/*
---------------------------------------------------------------------------
|			  	 Global variables and functions of the vfcore library
|				  Copyright (C) 1998 VF Technologies 
|	 					Code: Rik Arends
|						All Rights Reserved
---------------------------------------------------------------------------
Requirements:
ClassBase.h

Changes:
Tuesday 6th july:	Initial file setup
*/

#define WINVER 0x0502
#define _CRT_SECURE_NO_DEPRECATE


// Basic includes
#include <float.h>
#include <limits.h>
#include <math.h>
#include <malloc.h>
#include <string.h>
#include <crtdbg.h>		
#include <assert.h>
#include <math.h>
#include <stdio.h>
#include <stdlib.h> 
#include <stdarg.h>
#include <memory.h>

// Base utility code
#include "Types.h"			// Types
#include "Config.h"			// config defines
#include "Tools.h"			// General tool functions
#include "String.h"			// String class
#include "Archive.h"		// file/archiving functions
#include "Multithread.h"
#include "Templates.h"
#include "ClassChain.h"
#include "ClassTree.h"
#include "AllocTempl.h"
#include "stdafx.h"
#include "resource.h"

extern  CWinApp *MainWinAppPtr;

#include "MathLib.h"			// all math stuff you can imagine....
#include "FunctionTree.h"	// Function calculation objects..

#ifdef VFMATH_NOTASSEMBLEROPTIMIZED
typedef FuncTree Function;
#else
#include "FuncAsm.h"
typedef FuncAsm Function;
#endif 


#include "Timer.h"			// High res timer routines
#include "Keyboard.h"		// Keyboard defines and functions
#include "WindowsUtils.h"	 // some handydandy windows utils
#include "ClassDialogTool.h" // The dialog base.. with custom utils
#include "Color.h"			// Color defines and conversions
#include "ColorTable.h"
#include "Image.h"			// Image routines
#include "ImageGDI.h"
#include "MFCMacros.h"
#include "MFCWrapper.h"