
/*
---------------------------------------------------------------------------
|						Multithread locking functions
|				  Copyright (C) 1998 VF Technologies 
|	 					Code: Rik Arends
|						All Rights Reserved
---------------------------------------------------------------------------
Requirements:
	
Changes:
	Wendsday 20th december:	Initial file setup
*/

#ifndef _H_MULTITHREAD
#define _H_MULTITHREAD

//-------------------------------------------------------------------------
class  MultithreadLock
{
	public:
	MultithreadLock();
	~MultithreadLock();
	
	bool Lock(char *f=__FILE__,const int l=__LINE__);
	bool Unlock(char *f=__FILE__,const int l=__LINE__);
	bool CheckLock(); // call when immediate return is needed
	bool IsLocked(){return(locked);}

	long   maxlock;
	long   deadlock;
	bool   fastlock; // wether to use mutexes or not
	volatile bool   locked; // bool check flag
	void  *handle;
	String name;
};

//-------------------------------------------------------------------------

#define lock(x) {x.Lock(__FILE__,__LINE__);}
#define unlock(x) {x.Unlock(__FILE__,__LINE__);}

//-------------------------------------------------------------------------

#endif