/*
---------------------------------------------------------------------------
|						Generic tool functions
|				  Copyright (C) 1998 VF Technologies 
|	 					Code: Rik Arends
|						All Rights Reserved
---------------------------------------------------------------------------
Requirements:
	
Changes:
	Wendsday 20th december:	Initial file setup
*/
#include "Library.h"
// The deletes the opened window for 

// Random number generator
#define RANDELEM 60000
long randtbl[RANDELEM];
long randcnt=0;

//--------------------------------------------------------
// Loads the random table..
struct  _execute_randtable{_execute_randtable()
{
	srand( (unsigned)time( NULL ) );
	for (long i=0;i<RANDELEM;i++)randtbl[i]=(rand()<<15)+rand(); // 31 bit number
}}_execute_randtable;

//--------------------------------------------------------
 
char ctrand()
{	if (randcnt<RANDELEM)randcnt++;else randcnt=0;	return((char)randtbl[randcnt]);}
short strand()
{	if (randcnt<RANDELEM)randcnt++;else randcnt=0;	return((short)randtbl[randcnt]);}
long ltrand()
{	if (randcnt<RANDELEM)randcnt++;else randcnt=0;return(randtbl[randcnt]);}
double ftrand()
{
	if (randcnt<RANDELEM)randcnt++;else randcnt=0;	
	long s = 71 * randtbl[randcnt]; s = s * 8192 ^ s;
	return 1.0 - ((s*(s*s*15731+789221)+1376312589)& 0x7fffffff)/1073741824.0;
}

//--------------------------------------------------------

 float  ffrand(float feed)
{
	long s= *((long *)(&feed));
	s = s * 8192 ^ s;
	return  1.0 - ((s*(s*s*15731+789221)+1376312589)& 0x7fffffff)/1073741824.0;
}

 float  flrand(long feed)
{
	long s=feed;
	s = s * 8192 ^ s;
	return  1.0 - ((s*(s*s*15731+789221)+1376312589)& 0x7fffffff)/1073741824.0;
}

extern  long   llrand(long  feed)
{
	long s= feed * 8192 ^ feed;
	return ((s*(s*s*15731+789221)+1376312589)& 0x7fffffff);
}

extern  long	  lfrand(float feed)
{
	long s= *((long *)(&feed));
	s = s * 8192 ^ s;
	return ((s*(s*s*15731+789221)+1376312589)& 0x7fffffff);
}
//--------------------------------------------------------
