// FrameDlg.cpp : implementation file
//

#include "Library.h"
#include "FrameDlg.h"
#include "DialogManager.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFrameDlg dialog


CFrameDlg::CFrameDlg(CWnd* pParent /*=NULL*/)
	: CDialogTool(CFrameDlg::IDD, pParent)
{
	CreateDlg(IDD,pParent);
	SizeControlStart();
	recur=false;
	//{{AFX_DATA_INIT(CFrameDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CFrameDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFrameDlg)
	DDX_Control(pDX, IDC_FRAMEZ, m_Frame);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFrameDlg, CDialog)
	//{{AFX_MSG_MAP(CFrameDlg)
	ON_WM_SIZE()
	ON_WM_CLOSE()
	ON_WM_MOVE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFrameDlg message handlers

void CFrameDlg::OnSize(UINT nType, int cx, int cy) 
{
	if (SizeMessagesActive)
	{
		SizeControl(&m_Frame,cx,cy,0,0,1,1);
		// call through children
		CDialogTool *child=(CDialogTool *)m_Frame.GetTopWindow();
		if (child!=NULL)
		{
			CRect t;
			GetClientRect(t);
			move_winptrwindow(child,-1,-1,t.Width(),t.Height());
		}
	}
	CDialog::OnSize(nType, cx, cy);
}

void CFrameDlg::OnClose() 
{
	// ok now move the child back to docking view
	CDialogTool *child=(CDialogTool *)m_Frame.GetTopWindow();
	if (child!=NULL)
	{
		child->framedlg=NULL;
		if (child->lastframe==0)child->lastframe=1;
//		((DialogManager *)dmanager)->MoveWindow(child,child->lastframe);
	}

	CloseDlg();	
}

void CFrameDlg::OnMove(int x, int y) 
{
	CDialog::OnMove(x, y);
	if (SizeMessagesActive)
	{
		m_Frame.GetTopWindow()->PostMessage(WM_MOVE,0,MAKELPARAM(x,y));	
	}
	// TODO: Add your message handler code here
	
}
