
/*
---------------------------------------------------------------------------
|					Equation solving routines
|				  Copyright (C) 1998 VF Technologies 
|	 					Code: Rik Arends
|						All Rights Reserved
---------------------------------------------------------------------------
*/

#ifndef _H_GRIDRESOLVE
#define _H_GRIDRESOLVE

// Equation solving function......
#define _INIT_CALL 0x5000
class  SolveFunctree // equation solving
{
	public:
	 void RefineDraw2D(long flags,double x1,double y1,
								    double x2,double y2,long depth);
	 void RefineSolve2D(long flags,double x1,double y1,
								    double x2,double y2,long depth);
	 /*
	 void RefineSolve3D(long flags,double x1,double y1,double z1,
		                           double x2,double y2,double z2,long depth);
								   */
	 FuncTree *func;
	 long	maxdepth;		// Maximum depth level
	 long	startlevel;		// level before the actual choosing begins
	 double *xp,*yp;		// Array of resulting points.
	 Vector3 *vec;			// for the 3D approach
	 long	maxpoints;		// Maximum amount of points receivable
	 long	points;			// currently allocated points

	 // Drawing data (windows)
	 long    col;
	 void	 *dc;
	 double  ftow_xscale;
	 double  ftow_xoffset;
	 double  ftow_yscale;
	 double	ftow_yoffset;
};

#endif