
/*
---------------------------------------------------------------------------
|							Keyboard defines..
|				  Copyright (C) 1998 VF Technologies 
|	 					Code: Rik Arends
|						All Rights Reserved
---------------------------------------------------------------------------
Requirements:
	ClassBase.h

Changes:
	Tuesday 6th july:	Initial file setup
*/

// Key Table

#ifndef _H_KEYBOARD
#define _H_KEYBOARD
#pragma once
extern  bool KeyTable[256];

#define _KT_CTRL			17
#define _KT_SHIFT			16
#define _KT_Q				81
#define _KT_W				87
#define _KT_E				69
#define _KT_R				82
#define _KT_T				84
#define _KT_Y				89
#define _KT_U				85
#define _KT_I				73
#define _KT_O				79
#define _KT_P				80
#define _KT_A				65
#define _KT_S				83
#define _KT_D				68
#define _KT_F				70
#define _KT_G				71
#define _KT_H				72
#define _KT_J				74
#define _KT_K				75
#define _KT_L				76
#define _KT_Z				90
#define _KT_X				88
#define _KT_C				67
#define _KT_V				86
#define _KT_B				66
#define _KT_N				78
#define _KT_M				77
#define _KT_COMMA			188
#define _KT_DOT				190
#define _KT_SLASH			191
#define _KT_BACKSLASH		220
#define _KT_LBRACK			219
#define _KT_RBRACK			221
#define _KT_DOTCOMMA		186
#define _KT_APPO			222
#define _KT_PLUS			187
#define _KT_MIN				189
#define _KT_TILDE			192
#define _KT_0				48
#define _KT_1				49
#define _KT_2				50
#define _KT_3				51
#define _KT_4				52
#define _KT_5				53
#define _KT_6				54
#define _KT_7				55
#define _KT_8				56
#define _KT_9				57
#define _KT_F1				112
#define _KT_F2				113
#define _KT_F3				114
#define _KT_F4				115
#define _KT_F5				116
#define _KT_F6				117
#define _KT_F7				118
#define _KT_F8				119
#define _KT_F9				120
#define _KT_F10				121
#define _KT_F11				122
#define _KT_F12				123
#define _KT_BACKSPACE		8
#define _KT_ENTER			13
#define _KT_ESC				27
#define _KT_SCROLLOCK		145
#define _KT_PAUSE			19
#define _KT_NUMLOCK			144
#define _KT_INSERT			45
#define _KT_DELETE			46
#define _KT_HOME			36
#define _KT_END				35
#define _KT_PAGEUP			33
#define _KT_PAGEDOWN		34
#define _KT_KP1				97
#define _KT_KP2				98
#define _KT_KP3				99
#define _KT_KP4				100
#define _KT_KP5				101
#define _KT_KP6				102
#define _KT_KP7				103
#define _KT_KP8				104
#define _KT_KP9				105
#define _KT_KP0				96
#define _KT_KPDOT			110
#define _KT_KPSLASH			110
#define _KT_KPSTAR			106
#define _KT_KPMIN			109

#endif