
/*
---------------------------------------------------------------------------
|						Generic data types
|				  Copyright (C) 1998 VF Technologies 
|	 					Code: Rik Arends
|						All Rights Reserved
---------------------------------------------------------------------------
Requirements:

Changes:
	11-19-98	Initial file setup
*/

#ifndef _H_TYPES
#define _H_TYPES

typedef unsigned int		uint;
typedef unsigned long		ulong;
typedef unsigned short		ushort;
typedef unsigned char		uchar;

typedef unsigned char		byte;
typedef unsigned short		word;
typedef unsigned long		dword;

typedef signed char			sbyte;
typedef signed short		sword;
typedef signed long			sdword;

typedef unsigned __int64	qword;
typedef signed __int64		sqword;
typedef int					BOOL; // for compatibility with rest of system
// Declare simplified Hungarian names for any type

#define DECLARE_HUNGARIAN(type, name)	typedef type *						p##name;	\
										typedef type &						r##name;	\
										typedef const type &				rc##name;	\
										typedef const type *				pc##name;	\
										typedef const type &				c##name;

// Declare simplified Hungarian names for a class or struct
#define DECLARE_CLASS(cls)				class  cls; DECLARE_HUNGARIAN(cls, cls)

// the floating point underflow limit (double)
#define TINYLIMIT 0.0000000000001
//#define NULL	  (void *)0
#endif