// vfcalcDlg.cpp : implementation file
  #include "Library.h"
#include "vfcalcglobals.h"
#include "ClassMemDC.h"
#include "vfcalcDlg.h" 

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE    
static char THIS_FILE[] = __FILE__;
#endif   
  

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About 

//--------------------------------------------------------------------------------------------
 
class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVfcalcDlg dialog

// Mouse move modes 
enum
{
	 MMM_NONE		=0,
	 MMM_SLIDE 		=1,
	 MMM_SCALE		=2,
	 MMM_SA			=3,
	 MMM_SB			=4,
	 MMM_SC			=5,
	 MMM_SD			=6,
	 MMM_SF			=7,
	 MMM_SG			=8,
	 MMM_SH			=9,
	 MMM_SJ			=10,
	 MMM_DT1		=11,
	 MMM_DT2		=12,
	 MMM_GRID		=13,
	 MMM_STEP		=14,
	 MMM_DT3		=15,
	 MMM_DT4		=16,
	 MMM_PX			=17,
	 MMM_PY			=18,
	 MMM_FC			=19,
	 MMM_FS			=20,
	 MMM_AC			=21
};

CVfcalcDlg::CVfcalcDlg(CWnd* pParent /*=NULL*/)
	: CDialogTool(CVfcalcDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CVfcalcDlg)
	//}}AFX_DATA_INIT
	lasttime = 0;
	CalcObj = NULL;
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDI_FUNCGEN);
}

void CVfcalcDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CVfcalcDlg)
	DDX_Control(pDX, IDC_ADDC, m_AddC);
	DDX_Control(pDX, IDC_ADDB, m_AddB);
	DDX_Control(pDX, IDC_ADDA, m_AddA);
	DDX_Control(pDX, IDC_FUNCEDM, m_FuncCM);
	DDX_Control(pDX, IDC_FUNCEDL, m_FuncCL);
	DDX_Control(pDX, IDC_FUNCEDK, m_FuncCK);
	DDX_Control(pDX, IDC_VIEW_EY, m_ViewY);
	DDX_Control(pDX, IDC_VIEW_EC, m_ViewC);
	DDX_Control(pDX, IDC_VIEW_EB, m_ViewB);
	DDX_Control(pDX, IDC_VIEW_EA, m_ViewA);
	DDX_Control(pDX, IDC_VIEW_EX, m_ViewX);
	DDX_Control(pDX, IDC_DOMAINVIEW,m_DomainView);
	DDX_Control(pDX, IDC_FUNCEDC, m_FuncCC);
	DDX_Control(pDX, IDC_FUNCEDB, m_FuncCB);
	DDX_Control(pDX, IDC_FUNCEDA, m_FuncCA);
	DDX_Control(pDX, IDC_VIEWSUBTYPE, m_ViewSubType);
	DDX_Control(pDX, IDC_SLD_ACCURACY, m_SldAc);
	DDX_Control(pDX, IDC_ACCURACY, m_Accuracy);
	DDX_Control(pDX, IDC_SLD_FUNCSCALE, m_SldFS);
	DDX_Control(pDX, IDC_SLD_FUNCCLIP, m_SldFC);
	DDX_Control(pDX, IDC_FUNCSCALE, m_FuncScale);
	DDX_Control(pDX, IDC_FUNCCLIP, m_FuncClip);
	DDX_Control(pDX, IDC_ROTATE, m_Rotate);
	DDX_Control(pDX, IDC_ANIMATE, m_Animate);
	DDX_Control(pDX, IDC_LENGTH_C, m_Length_C);
	DDX_Control(pDX, IDC_LENGTH_B, m_Length_B);
	DDX_Control(pDX, IDC_LENGTH_A, m_Length_A);
	DDX_Control(pDX, IDC_DERIVE2_C, m_Derive2_C);
	DDX_Control(pDX, IDC_DERIVE2_B, m_Derive2_B);
	DDX_Control(pDX, IDC_DERIVE2_A, m_Derive2_A);
	DDX_Control(pDX, IDC_VIEWOPTIONSFRAME2, m_FrameViewOptions);
	DDX_Control(pDX, IDC_VALUEFRAME, m_FrameValue);
	DDX_Control(pDX, IDC_FUNCTIONFRAME, m_FrameFunction);
	DDX_Control(pDX, IDC_FIXPARAMFRAME, m_FrameFixParam);
	DDX_Control(pDX, IDC_FIXPARAMX, m_FixParamX);
	DDX_Control(pDX, IDC_SLD_PY, m_SldPY);
	DDX_Control(pDX, IDC_SLD_PX, m_SldPX);
	DDX_Control(pDX, IDC_PARAMY, m_ParamY);
	DDX_Control(pDX, IDC_PARAMX, m_ParamX);
	DDX_Control(pDX, IDC_FIXPARAM, m_FixParam);
	DDX_Control(pDX, IDC_T4, m_DomT4);
	DDX_Control(pDX, IDC_T3, m_DomT3);
	DDX_Control(pDX, IDC_SLD_DT4, m_SldD4);
	DDX_Control(pDX, IDC_SLD_DT3, m_SldD3);
	DDX_Control(pDX, IDC_DOMAINTITLE, m_DomainTitle);
	DDX_Control(pDX, IDC_FUNCOUTPARAMETER2, m_FOPy);
	DDX_Control(pDX, IDC_FUNCOUTPARAMETER, m_FOPx);
	DDX_Control(pDX, IDC_FUNCOUTPRETYPE3, m_FOPreTypeC);
	DDX_Control(pDX, IDC_FUNCOUTPRETYPE2, m_FOPreTypeB);
	DDX_Control(pDX, IDC_FUNCOUTPRETYPE1, m_FOPreTypeA);
	DDX_Control(pDX, IDC_FUNCPRETYPE3, m_FPreTypeC);
	DDX_Control(pDX, IDC_FUNCPRETYPE2, m_FPreTypeB);
	DDX_Control(pDX, IDC_FUNCPRETYPE1, m_FPreTypeA);
	DDX_Control(pDX, IDC_VIEWTYPE, m_ViewType);
	DDX_Control(pDX, IDC_COLORMODE, m_ColorMode);
	DDX_Control(pDX, IDC_DRAWFRAME, m_DrawFrame);
	DDX_Control(pDX, IDC_STEPEDIT, m_Step);
	DDX_Control(pDX, IDC_D_EDIT, m_EdD);
	DDX_Control(pDX, IDC_SLD_STEP, m_SldStep);
	DDX_Control(pDX, IDC_SLD_GRID, m_SldGrid);
	DDX_Control(pDX, IDC_SLD_DT2, m_SldD2);
	DDX_Control(pDX, IDC_SLD_DT1, m_SldD1);
	DDX_Control(pDX, IDC_SLDJ, m_SldJ);
	DDX_Control(pDX, IDC_SLDH, m_SldH);
	DDX_Control(pDX, IDC_SLDG, m_SldG);
	DDX_Control(pDX, IDC_SLDF, m_SldF);
	DDX_Control(pDX, IDC_SLDD, m_SldD);
	DDX_Control(pDX, IDC_SLDC, m_SldC);
	DDX_Control(pDX, IDC_SLDB, m_SldB);
	DDX_Control(pDX, IDC_SLDA, m_SldA);
	DDX_Control(pDX, IDC_YSEDIT, m_YS);
	DDX_Control(pDX, IDC_XSEDIT, m_XS);
	DDX_Control(pDX, IDC_GRIDEDIT, m_Grid);
	DDX_Control(pDX, IDC_T2, m_DomT2);
	DDX_Control(pDX, IDC_T1, m_DomT1);
	DDX_Control(pDX, IDC_J_EDIT, m_EdJ);
	DDX_Control(pDX, IDC_H_EDIT, m_EdH);
	DDX_Control(pDX, IDC_G_EDIT, m_EdG);
	DDX_Control(pDX, IDC_F_EDIT, m_EdF);
	DDX_Control(pDX, IDC_C_EDIT, m_EdC);
	DDX_Control(pDX, IDC_B_EDIT, m_EdB);
	DDX_Control(pDX, IDC_A_EDIT, m_EdA);
	DDX_Control(pDX, IDC_DERIVE_C, m_Derive_C);
	DDX_Control(pDX, IDC_DERIVE_B, m_Derive_B);
	DDX_Control(pDX, IDC_DERIVE_A, m_Derive_A);
	DDX_Control(pDX, IDC_INTEGRAL_C, m_Int_C);
	DDX_Control(pDX, IDC_INTEGRAL_B, m_Int_B);
	DDX_Control(pDX, IDC_INTEGRAL_A, m_Int_A);
	DDX_Control(pDX, IDC_NORMAL_C, m_Normal_C);
	DDX_Control(pDX, IDC_NORMAL_B, m_Normal_B);
	DDX_Control(pDX, IDC_NORMAL_A, m_Normal_A);
	DDX_Control(pDX, IDC_SHOWNUM, m_ShowNum);
	DDX_Control(pDX, IDC_ASSEMBLER, m_Asm);
	DDX_Control(pDX, IDC_CALCTYPE, m_CalcType);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CVfcalcDlg, CDialog)
	//{{AFX_MSG_MAP(CVfcalcDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_CBN_SELCHANGE(IDC_CALCTYPE, OnSelchangeCalctype)
	ON_BN_CLICKED(IDC_NORMAL_A, OnNormalA)
	ON_BN_CLICKED(IDC_NORMAL_B, OnNormalB)
	ON_BN_CLICKED(IDC_NORMAL_C, OnNormalC)
	ON_BN_CLICKED(IDC_INTEGRAL_A, OnIntegralA)
	ON_BN_CLICKED(IDC_INTEGRAL_B, OnIntegralB)
	ON_BN_CLICKED(IDC_INTEGRAL_C, OnIntegralC)
	ON_BN_CLICKED(IDC_DERIVE_A, OnDeriveA)
	ON_BN_CLICKED(IDC_DERIVE_B, OnDeriveB)
	ON_BN_CLICKED(IDC_DERIVE_C, OnDeriveC)
	ON_EN_CHANGE(IDC_A_EDIT, OnChangeAEdit)
	ON_EN_CHANGE(IDC_B_EDIT, OnChangeBEdit)
	ON_EN_CHANGE(IDC_C_EDIT, OnChangeCEdit)
	ON_EN_CHANGE(IDC_D_EDIT, OnChangeDEdit)
	ON_EN_CHANGE(IDC_F_EDIT, OnChangeFEdit)
	ON_EN_CHANGE(IDC_G_EDIT, OnChangeGEdit)
	ON_EN_CHANGE(IDC_H_EDIT, OnChangeHEdit)
	ON_EN_CHANGE(IDC_J_EDIT, OnChangeJEdit)
	ON_EN_CHANGE(IDC_T1, OnChangeT1)
	ON_EN_CHANGE(IDC_T2, OnChangeT2)
	ON_BN_CLICKED(IDC_CENTRE, OnCentre)
	ON_WM_LBUTTONDOWN()
	ON_WM_LBUTTONUP()
	ON_WM_MOUSEMOVE()
	ON_WM_RBUTTONDOWN()
	ON_WM_RBUTTONUP()
	ON_WM_SIZE()
	ON_EN_CHANGE(IDC_GRIDEDIT, OnChangeGridedit)
	ON_EN_CHANGE(IDC_STEPEDIT, OnChangeStepedit)
	ON_CBN_SELCHANGE(IDC_COLORMODE, OnSelchangeColormode)
	ON_EN_CHANGE(IDC_XSEDIT, OnChangeXsedit)
	ON_EN_CHANGE(IDC_YSEDIT, OnChangeYsedit)
	ON_CBN_SELCHANGE(IDC_VIEWTYPE, OnSelchangeViewtype)
	ON_EN_CHANGE(IDC_T4, OnChangeT4)
	ON_EN_CHANGE(IDC_T3, OnChangeT3)
	ON_BN_CLICKED(IDC_FIXPARAM, OnFixparam)
	ON_EN_CHANGE(IDC_PARAMX, OnChangeParamx)
	ON_EN_CHANGE(IDC_PARAMY, OnChangeParamy)
	ON_BN_CLICKED(IDC_DERIVE2_A, OnDerive2A)
	ON_BN_CLICKED(IDC_DERIVE2_B, OnDerive2B)
	ON_BN_CLICKED(IDC_DERIVE2_C, OnDerive2C)
	ON_BN_CLICKED(IDC_LENGTH_A, OnLengthA)
	ON_BN_CLICKED(IDC_LENGTH_B, OnLengthB)
	ON_BN_CLICKED(IDC_LENGTH_C, OnLengthC)
	ON_WM_TIMER()
	ON_BN_CLICKED(IDC_ANIMATE, OnAnimate)
	ON_BN_CLICKED(IDC_ROTATE, OnRotate)
	ON_BN_CLICKED(IDC_RESET, OnReset)
	ON_EN_CHANGE(IDC_FUNCCLIP, OnChangeFuncclip)
	ON_EN_CHANGE(IDC_FUNCSCALE, OnChangeFuncscale)
	ON_CBN_SELCHANGE(IDC_VIEWSUBTYPE, OnSelchangeViewsubtype)
	ON_EN_CHANGE(IDC_ACCURACY, OnChangeAccuracy)
	ON_CBN_SELCHANGE(IDC_FUNCEDC, OnSelchangeFuncedc)
	ON_CBN_SELCHANGE(IDC_FUNCEDB, OnSelchangeFuncedb)
	ON_CBN_SELCHANGE(IDC_FUNCEDA, OnSelchangeFunceda)
	ON_CBN_EDITCHANGE(IDC_FUNCEDA, OnEditchangeFunceda)
	ON_CBN_EDITCHANGE(IDC_FUNCEDB, OnEditchangeFuncedb)
	ON_CBN_EDITCHANGE(IDC_FUNCEDC, OnEditchangeFuncedc)
	ON_BN_CLICKED(IDC_ADDA, OnAdda)
	ON_BN_CLICKED(IDC_ADDB, OnAddb)
	ON_BN_CLICKED(IDC_ADDC, OnAddc)
	ON_BN_CLICKED(IDC_SAVE, OnSave)
	ON_BN_CLICKED(IDC_LOAD, OnLoad)
	ON_BN_CLICKED(IDC_FRESET, OnFreset)
	ON_CBN_EDITCHANGE(IDC_FUNCEDK, OnEditchangeFuncedk)
	ON_CBN_SELCHANGE(IDC_FUNCEDK, OnSelchangeFuncedk)
	ON_CBN_EDITCHANGE(IDC_FUNCEDL, OnEditchangeFuncedl)
	ON_CBN_SELCHANGE(IDC_FUNCEDL, OnSelchangeFuncedl)
	ON_CBN_EDITCHANGE(IDC_FUNCEDM, OnEditchangeFuncedm)
	ON_CBN_SELCHANGE(IDC_FUNCEDM, OnSelchangeFuncedm)
	ON_BN_CLICKED(IDC_HELPME, OnHelpme)
	ON_BN_CLICKED(IDC_TOCLIPBOARD, OnToclipboard)
	ON_BN_CLICKED(IDC_SHOWNUM, OnShownum)
	ON_BN_CLICKED(IDC_ASSEMBLER, OnAsmOptimize)
	ON_WM_MOVE()
	//}}AFX_MSG_MAP
	//ON_STN_CLICKED(IDC_DOMAINTITLE, &CVfcalcDlg::OnStnClickedDomaintitle)
	//ON_EN_CHANGE(IDC_VIEW_EB, &CVfcalcDlg::OnEnChangeViewEb)
	ON_STN_CLICKED(IDC_FUNCOUTPRETYPE1, &CVfcalcDlg::OnStnClickedFuncoutpretype1)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVfcalcDlg message handlers
void CVfcalcDlg::switches::Set(CVfcalcDlg *d)
{
	d->SetBool(&d->m_Normal_A,nor_a);	d->SetBool(&d->m_Normal_B,nor_b);	d->SetBool(&d->m_Normal_C,nor_c);
	d->SetBool(&d->m_Int_A,int_a);	d->SetBool(&d->m_Int_B,int_b);	d->SetBool(&d->m_Int_C,int_c);
	d->SetBool(&d->m_Derive_A,der_a);	d->SetBool(&d->m_Derive_B,der_b);	d->SetBool(&d->m_Derive_C,der_c);
	d->SetBool(&d->m_Derive2_A,der2_a);d->SetBool(&d->m_Derive2_B,der2_b);d->SetBool(&d->m_Derive2_C,der2_c);
	d->SetBool(&d->m_Length_A,len_a);	d->SetBool(&d->m_Length_B,len_b);	d->SetBool(&d->m_Length_C,len_c);

	d->SetBool(&d->m_FixParam,FixParam);
	d->SetBool(&d->m_ShowNum,ShowNum);
	d->SetBool(&d->m_Rotate,Rotate);
	d->SetBool(&d->m_Animate,Animate);
	d->SetBool(&d->m_Asm,Asm);
}
void CVfcalcDlg::variables::Set(CVfcalcDlg *x)
{
	x->SetValue(&x->m_EdA,a,4);
	x->SetValue(&x->m_EdB,b,4);
	x->SetValue(&x->m_EdC,c,4);
	x->SetValue(&x->m_EdD,d,4);
	x->SetValue(&x->m_EdF,f,4);
	x->SetValue(&x->m_EdG,g,4);
	x->SetValue(&x->m_EdH,h,4);
	x->SetValue(&x->m_EdJ,j,4);
	x->SetValue(&x->m_ParamX,parx,4);
	x->SetValue(&x->m_ParamY,pary,4);
	x->SetValue(&x->m_FuncScale,fscale,4);
	x->SetValue(&x->m_FuncClip,fclip,4);
	x->SetValue(&x->m_Accuracy,accuracy,4);
	x->SetValue(&x->m_DomT1,dt1,4);
	x->SetValue(&x->m_DomT2,dt2,4);
	x->SetValue(&x->m_DomT3,dt3,4);
	x->SetValue(&x->m_DomT4,dt4,4);
	x->SetValue(&x->m_Step,stepsize,5);
	x->SetValue(&x->m_Grid,gridfac,3);
	x->SetValue(&x->m_XS,(float)xscale,6); 
	x->SetValue(&x->m_YS,(float)yscale,6);
	// set color AND display mode
	x->m_CalcType.SetCurSel(CalcType);
	x->m_ColorMode.SetCurSel(colormode);
	x->m_ViewType.SetCurSel(outputmode);
	// update type
	x->UpdateType();
};
void CVfcalcDlg::functions::Set(CVfcalcDlg *x)
{
	//FuncCA.SetExtendedUI(false);
	//FuncCB.SetExtendedUI(false);
	//FuncCC.SetExtendedUI(false);
	x->func.a.SetWnd(&x->m_FuncCA);
	x->func.b.SetWnd(&x->m_FuncCB);
	x->func.c.SetWnd(&x->m_FuncCC);
	x->func.k.SetWnd(&x->m_FuncCK);
	x->func.l.SetWnd(&x->m_FuncCL);
	x->func.m.SetWnd(&x->m_FuncCM);

}
BOOL CVfcalcDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	// Add "About..." menu item to system menu.
	
	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);
	
	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}
	SetIcon(m_hIcon, TRUE);SetIcon(m_hIcon, FALSE);
	var.Reset();

	SetBool(&m_Normal_A,true);
	
	ToClipboard=false;
	clipboardloaded=false;
	CalcObj=new CalcMode_fx(this);
	LastMouse.x=0;LastMouse.y=0;
	m_CalcType.AddString(_T_CT0);m_CalcType.AddString(_T_CT1);m_CalcType.AddString(_T_CT2);
	m_CalcType.AddString(_T_CT3);m_CalcType.AddString(_T_CT4);m_CalcType.AddString(_T_CT5);
	m_CalcType.AddString(_T_CT6);m_CalcType.AddString(_T_CT7);m_ColorMode.AddString(_T_CM0);
	m_ColorMode.AddString(_T_CM1);m_ColorMode.AddString(_T_CM2);m_ColorMode.AddString(_T_CM3);
	m_ViewType.AddString(_T_VT0);m_ViewType.AddString(_T_VT1);m_ViewType.AddString(_T_VT2);
	m_ViewType.AddString(_T_VT3);m_ViewType.AddString(_T_VT4);m_ViewType.AddString(_T_VT5);
	
	OpenTimer(1);
	
	GetControlRect(&m_DrawFrame,&dd.DrawFrame,3,3,3,3);
	
	MouseMoveMode=MMM_NONE;

	var.Set(this);
	func.Set(this);

	UpdateType();
	UpdateNumbers(0,0);

	CalcObj->Initialize();
	char buf[1024];GetTempPath(1024,buf);String x;x.Format("%s\\vfcalc.ini",buf);
	LoadFile(&x);
	
	SizeControlStart();
	//log("VFCalc initialized");

	return TRUE;  // return TRUE  unless you set the focus to a control
}

//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------

void CVfcalcDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		sw.OnHold=true;
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
		sw.OnHold=false;
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}


//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------
void CVfcalcDlg::DrawData::Setup(CVfcalcDlg *o)
{
	CVfcalcDlg::colors &col=o->col;
	CVfcalcDlg::variables &var=o->var;

	// Window variables
	w_start=(double)DrawFrame.left;
	w_end=(double)DrawFrame.right;
	w_mid=(double)(DrawFrame.top-DrawFrame.bottom)/2.0f;
	w_min=(double)DrawFrame.top;
	w_max=(double)DrawFrame.bottom;
	w_width=(w_end-w_start)/2;
	w_height=(w_max-w_min)/2;

	f_start=(double)var.xpos;
	f_end=(w_end-w_start)*var.xscale+var.xpos;
	f_min=-w_mid*var.yscale+var.ypos;
	f_max=w_mid*var.yscale+var.ypos;
	
	ftow_xscale=(w_end-w_start)/(f_end-f_start);
	ftow_xoffset=-ftow_xscale*f_start+w_start;
	ftow_yscale=(w_max-w_min)/(f_max-f_min);
	ftow_yoffset=-ftow_yscale*f_min+w_min;
	
	p_line1.CreatePen(PS_SOLID,1,col.line1);		
	p_line2.CreatePen(PS_SOLID,1,col.line2);		
	p_line3.CreatePen(PS_SOLID,1,col.line3);		
	p_axes.CreatePen(PS_SOLID,1,col.axes);		
	p_grid.CreatePen(PS_SOLID,1,col.grid);		
	b_back.CreateSolidBrush(col.back);
	t_textl.CreateFont(30,0,0,0,600,false,false,false,0,
						OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,
						DEFAULT_QUALITY,DEFAULT_PITCH|FF_SWISS,NULL);
	t_texts.CreateFont(10,0,0,0,100,false,false,false,0,
						OUT_DEFAULT_PRECIS,CLIP_DEFAULT_PRECIS,
						DEFAULT_QUALITY,DEFAULT_PITCH|FF_SWISS,NULL);

}

//----------------------------------------------------------------------------------------

void CVfcalcDlg::DrawData::Delete()
{
	p_line1.DeleteObject();
	p_line2.DeleteObject();
	p_line3.DeleteObject();
	p_axes.DeleteObject();
	p_grid.DeleteObject();
	b_back.DeleteObject();
	t_texts.DeleteObject();
	t_textl.DeleteObject();
}

//----------------------------------------------------------------------------------------

void CVfcalcDlg::OnPaint() 
{
	lock(FuncLock);
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting
 
		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect); 
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon 
		dc.DrawIcon(x, y, m_hIcon);
	}  
	else  
	{ 

	#ifndef _CMP_FASTDRAW
		CPaintDC odc(this); // device context for painting
			
		if (SizeMessagesActive)
		{

			CRgn DrawRgn;DrawRgn.CreateRectRgnIndirect(&dd.DrawFrame);odc.SelectClipRgn(&DrawRgn);
			CMemDC	dc(&odc, dd.DrawFrame);
			odc.SelectClipRgn(&DrawRgn);
	#else
		CPaintDC dc(this); // device context for painting
			
		if (SizeMessagesActive)
		{

			CRgn DrawRgn;DrawRgn.CreateRectRgnIndirect(&dd.DrawFrame);//odc.SelectClipRgn(&DrawRgn);
			dc.SelectClipRgn(&DrawRgn);
	#endif

	// update timer
	if (sw.Rotate==true)
	{
		static double deltat=GetTime();
		double time=GetTime();
		var.viewrotate.z+=(float)(time-deltat)*40.0f;
		deltat=time;
	}

	var.AnimN=GetTime()-var.StartTime;
	if (sw.Animate==true)
	{ 
		func.SetVar('n',var.AnimN);
	}
	var.k=func.fk.Calculate();var.l=func.fl.Calculate();var.m=func.fm.Calculate();
	func.SetVar('k',var.k);func.SetVar('l',var.l);func.SetVar('m',var.m);
 
	// Create drawing objets

	CGdiObject *oldpen,*oldbrush,*oldfont;	
	 
	switch(var.colormode)
	{
	case _COL_BW:	//	black and white
		col.line1=RGB(  0,  0,  0);	col.line2=RGB(255,  0,  0);	col.line3=RGB(  0,255,  0);		
		col.axes =RGB(128,128,128);	col.grid =RGB(200,200,200);	col.back =RGB(255,255,255);
		col.text =RGB(  0,  0,  0);	col.point=RGB(  0,  0,  0);
	break;
	case _COL_GREEN:
		col.line1=RGB(  0,255,  0);	col.line2=RGB(255,255,  0);	col.line3=RGB(  0,255,255);		
		col.axes =RGB(  0,192,  0);	col.grid =RGB(  0,128,  0);	col.back =RGB(  0, 48,  0);
		col.text =RGB(  0,255,  0);	col.point=RGB(255,255,255);
	break;
	case _COL_BLUE:
		col.line1=RGB(  0,  0,255);	col.line2=RGB(255,255,  0);	col.line3=RGB(  0,255,255);		
		col.axes =RGB(  0,  0,192);	col.grid =RGB(  0,  0,128);	col.back =RGB(  0,  0, 48);
		col.text =RGB(  0,255,255);	col.point=RGB(255,255,255);
	break;
	case _COL_WB:
		col.line1=RGB(255,255,255);	col.line2=RGB(255,255,  0);	col.line3=RGB(  0,255,255);		
		col.axes =RGB(192,192,192);	col.grid =RGB(128,128,128);	col.back =RGB(  0,  0,  0);
		col.text =RGB(255,255,255);	col.point=RGB(255,255,255);
	break;
	};
	dd.Setup(this);
	dd.dc=&dc;
	dd.odc=&odc;
	dc.SetTextColor(col.text);
	dc.SetBkMode(TRANSPARENT);
	
	oldpen=dc.SelectObject(&dd.p_axes);oldbrush=dc.SelectObject(&dd.b_back);oldfont=dc.SelectObject(&dd.t_textl);	

	if (CalcObj->Has2DBackground)
	{
		dc.SelectObject(&dd.t_texts);	
		dc.FillRect(dd.DrawFrame,&dd.b_back);
		// Draw grid
		//MsgBox("%f %f %f %f %f",gridfac,dd.f_end,dd.f_start,dd.f_min,dd.f_max);
		if (var.gridfac!=0 && dd.f_end-dd.f_start>0 && dd.f_min-dd.f_max>0)
		{
			// Draw axes
			dc.SelectObject(&dd.p_axes);	
			// t/A-axis
			dc.MoveTo((short)dd.w_start,(short)dd.ftow_yoffset);
			dc.LineTo((short)dd.w_end,  (short)dd.ftow_yoffset);
			// ABC-axis
			dc.MoveTo((short)dd.ftow_xoffset,(short)dd.w_min);
			dc.LineTo((short)dd.ftow_xoffset,(short)dd.w_max);


			dc.SelectObject(&dd.p_grid);	
			double grid=var.gridfac,t,x,y;
			
			// vertical
			while (((dd.f_end-dd.f_start)/grid)>60)grid*=10;
			while (((dd.f_end-dd.f_start)/grid)<5)grid/=10;
		 
			double start=dd.f_start-fmod(dd.f_start,grid),
				   end=dd.f_end-fmod(dd.f_end,grid);
			double xgrid=grid*dd.ftow_xscale;
			double ygrid=grid*dd.ftow_yscale;

			for (t=start;t<=(end+grid);t+=grid)
			{
				// at every line draw the 'position'
				x=(dd.ftow_xscale*t+dd.ftow_xoffset);
				if (t!=0)
				{
					dc.MoveTo((short)x,(short)dd.w_min);
					dc.LineTo((short)x,(short)dd.w_max);
				}
				if (sw.ShowNum)
				{
					String s; s.FormatSpec(t,3,var.outputmode,var.acc);
					CRect txt;
					txt.left=x-0.5*xgrid;
					txt.right=x+0.5*xgrid;
					txt.top=dd.ftow_yoffset;
					txt.bottom=dd.ftow_yoffset+8;

					if (txt.top<dd.DrawFrame.top) // clip to top
					{
						long dif=dd.DrawFrame.top-txt.top;
						txt.top+=dif;txt.bottom+=dif;
					}
					if (txt.bottom>dd.DrawFrame.bottom)// clip to right
					{
						long dif=txt.bottom-dd.DrawFrame.bottom;
						txt.top-=dif;txt.bottom-=dif;
					}
					dc.DrawText(s,s.SLength(),txt,DT_CENTER);  
				}
			}


			grid=var.gridfac;

			while (((dd.f_min-dd.f_max)/grid)>60)grid*=10;
			while (((dd.f_min-dd.f_max)/grid)<5)grid/=10;

			start=dd.f_max-fmod(dd.f_max,grid);
				   end=dd.f_min-fmod(dd.f_min,grid);


			// Horizontal
			for (t=start;t<=(end+grid);t+=grid)if (t!=0)
			{
					y=(dd.ftow_yscale*t+dd.ftow_yoffset);
	
					dc.MoveTo((short)dd.w_start,(short)y);
					dc.LineTo((short)dd.w_end,  (short)y);

					if (sw.ShowNum)
					{
		
						String s; s.FormatSpec(t,3,var.outputmode,var.acc);
						CRect txt;
						txt.left=dd.ftow_xoffset-0.5*xgrid;
						txt.right=dd.ftow_xoffset+0.5*xgrid;
						txt.top=y-4;
						txt.bottom=y+4;
						if (txt.left<dd.DrawFrame.left) // clip to left
						{
							long dif=dd.DrawFrame.left-txt.left;
							txt.left+=dif;txt.right+=dif;
						}
						if (txt.right>dd.DrawFrame.right)// clip to right
						{
							long dif=txt.right-dd.DrawFrame.right;
							txt.left-=dif;txt.right-=dif;
						}
						dc.DrawText(s,s.SLength(),txt,DT_CENTER);  
					}
			}

			if (sw.FixParam)// draw set lines
			{ 
				x=(dd.ftow_xscale*var.parx+dd.ftow_xoffset);
				dc.SelectObject(&dd.p_line2);
				dc.MoveTo((short)x,(short)dd.w_min);
				dc.LineTo((short)x,(short)dd.w_max);
			}
		}
	} 
	
	if (CalcObj->HasNoBackBuffer)dc.NoFlip();
	// time the drawing process
	double perf_stime=GetTime();
	CalcObj->Draw();
	double perf_diff=GetTime()-perf_stime;
	String perf;perf="Domain - ftime:"+perf.FormatSpec(perf_diff,15,SFM_SCIENTIFICSHORT);
	perf.SetWnd(&m_DomainView);


	if (sw.FixParam==true)
		UpdateNumbers(0,0);

	dc.SelectObject(oldpen);
	dc.SelectObject(oldbrush);
	dc.SelectObject(oldfont); 
	
	dd.Delete();
	} // end if sizecommands

	if (ToClipboard==true && SizeMessagesActive==true)
	{
		while (OpenClipboard()==0)Sleep(10);EmptyClipboard();
		if (clipboardloaded==true)
		{
			DeleteObject(hclipboardbitmap);
		}
		// copy current drawframe to the clipboard..
		long *linptr;

		BITMAPINFO pbmiDIB;		// pointer to the BITMAPINFO

		pbmiDIB.bmiHeader.biSize = sizeof(BITMAPINFOHEADER);
		pbmiDIB.bmiHeader.biWidth =  dd.DrawFrame.right-dd.DrawFrame.left;
		pbmiDIB.bmiHeader.biHeight = dd.DrawFrame.bottom-dd.DrawFrame.top;
		pbmiDIB.bmiHeader.biPlanes = 1;
		pbmiDIB.bmiHeader.biBitCount = 32;
		pbmiDIB.bmiHeader.biCompression = BI_RGB;
		pbmiDIB.bmiHeader.biSizeImage = 0;
		pbmiDIB.bmiHeader.biXPelsPerMeter = 300;
		pbmiDIB.bmiHeader.biYPelsPerMeter = 300;
		pbmiDIB.bmiHeader.biClrUsed = 0;
		pbmiDIB.bmiHeader.biClrImportant = 0;
		hclipboardbitmap = CreateDIBSection (odc.m_hDC, &pbmiDIB, DIB_RGB_COLORS,
							  (void **)&linptr, NULL, 0);
		CDC imgdc;
		imgdc.CreateCompatibleDC(&odc);

		CBitmap *prevobj,*bm;
		bm=CBitmap::FromHandle(hclipboardbitmap);
		prevobj=imgdc.SelectObject(bm);
		imgdc.BitBlt(0,0,dd.DrawFrame.right-dd.DrawFrame.left,dd.DrawFrame.bottom-dd.DrawFrame.top,&odc,dd.DrawFrame.left,dd.DrawFrame.top,SRCCOPY);
		imgdc.SelectObject(prevobj);
		SetClipboardData(CF_BITMAP,hclipboardbitmap); 
		CloseClipboard();
		ToClipboard=false;
		clipboardloaded=true;
	}
	
	//if ( SizeMessagesActive && (sw.Rotate || sw.Animate) && !sw.OnHold)
	//{
//		InvalidateRect(dd.DrawFrame,false);/
//	}


	}
	unlock(FuncLock);
}

//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CVfcalcDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------

void CVfcalcDlg::OnCancel() 
{
	// TODO: Add extra cleanup here
	sw.OnHold=true;
	char buf[1024];GetTempPath(1024,buf);String x;x.Format("%s\\vfcalc.ini",buf);
	if (SaveFile(&x)==false)
	{
		CloseSound();
		if (clipboardloaded==true)
		{
			DeleteObject(hclipboardbitmap);
		}
		CalcObj->Shutdown();delete CalcObj;
		CDialog::OnCancel();
	}
	else 	
	{
		CalcObj->Shutdown();
		delete CalcObj;
		//log("Shutting down vfcalc");
		CDialog::OnCancel();
	}
	sw.OnHold=false;
}

void CVfcalcDlg::OnOK() 
{
	// TODO: Add extra validation here
	
	//CDialog::OnOK();
}

//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------

void CVfcalcDlg::OnSelchangeCalctype() 
{
	var.CalcType=m_CalcType.GetCurSel();
	UpdateType();Recalc();
	InvalidateRect(dd.DrawFrame,false);
}

//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------

void CVfcalcDlg::OnNormalA() {	sw.nor_a=GetBool(&m_Normal_A);Recalc();InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnNormalB() {	sw.nor_b=GetBool(&m_Normal_B);Recalc();InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnNormalC() {	sw.nor_c=GetBool(&m_Normal_C);Recalc();InvalidateRect(dd.DrawFrame,false);}

void CVfcalcDlg::OnIntegralA(){	sw.int_a=GetBool(&m_Int_A);Recalc();InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnIntegralB(){	sw.int_b=GetBool(&m_Int_B);Recalc();InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnIntegralC(){	sw.int_c=GetBool(&m_Int_C);Recalc();InvalidateRect(dd.DrawFrame,false);}

void CVfcalcDlg::OnDeriveA() {	sw.der_a=GetBool(&m_Derive_A);Recalc();InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnDeriveB() {	sw.der_b=GetBool(&m_Derive_B);Recalc();InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnDeriveC() {	sw.der_c=GetBool(&m_Derive_C);Recalc();InvalidateRect(dd.DrawFrame,false);}

void CVfcalcDlg::OnDerive2A(){	sw.der2_a=GetBool(&m_Derive2_A);Recalc();InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnDerive2B(){	sw.der2_b=GetBool(&m_Derive2_B);Recalc();InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnDerive2C(){	sw.der2_c=GetBool(&m_Derive2_C);Recalc();InvalidateRect(dd.DrawFrame,false);}

void CVfcalcDlg::OnLengthA() {	sw.len_a=GetBool(&m_Length_A);Recalc();InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnLengthB() {	sw.len_b=GetBool(&m_Length_B);Recalc();InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnLengthC() {	sw.len_c=GetBool(&m_Length_C);Recalc();InvalidateRect(dd.DrawFrame,false);}
//------------------------------------------------------------------------------------------

void CVfcalcDlg::OnChangeAEdit(){var.a=IsUpdating(calcexpression(&m_EdA));Recalc();InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnChangeBEdit(){var.b=IsUpdating(calcexpression(&m_EdB));Recalc();InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnChangeCEdit(){var.c=IsUpdating(calcexpression(&m_EdC));Recalc();InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnChangeDEdit(){var.d=IsUpdating(calcexpression(&m_EdD));Recalc();InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnChangeFEdit(){var.f=IsUpdating(calcexpression(&m_EdF));Recalc();InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnChangeGEdit(){var.g=IsUpdating(calcexpression(&m_EdG));Recalc();InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnChangeHEdit(){var.h=IsUpdating(calcexpression(&m_EdH));Recalc();InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnChangeJEdit(){var.j=IsUpdating(calcexpression(&m_EdJ));Recalc();InvalidateRect(dd.DrawFrame,false);}

//------------------------------------------------------------------------------------------

void CVfcalcDlg::OnChangeT1(){	var.dt1=IsUpdating(limitvar(calcexpression(&m_DomT1),0,var.dt2-0.1f,false,true));InvalidateRect(dd.DrawFrame,false);snd.time=var.dt1;}
void CVfcalcDlg::OnChangeT2(){	var.dt2=IsUpdating(limitvar(calcexpression(&m_DomT2),var.dt1+0.1f,0,true,false));InvalidateRect(dd.DrawFrame,false);snd.time=var.dt1;}

void CVfcalcDlg::OnChangeT3(){  var.dt3=IsUpdating(limitvar(calcexpression(&m_DomT3),0,var.dt4-0.1f,false,true));InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnChangeT4(){	var.dt4=IsUpdating(limitvar(calcexpression(&m_DomT4),var.dt3+0.1f,0,true,false));InvalidateRect(dd.DrawFrame,false);}


//------------------------------------------------------------------------------------------


void CVfcalcDlg::OnChangeGridedit() {var.gridfac=IsUpdating(limitvar(calcexpression(&m_Grid),0,0,true,false));InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnChangeStepedit() {	var.stepsize=IsUpdating(fix(limitvar(calcexpression(&m_Step),0.0001f,1,true,true),0.0001f));InvalidateRect(dd.DrawFrame,false);}

//------------------------------------------------------------------------------------------

void CVfcalcDlg::OnCentre() 
{
	var.viewrotate.x=-60;var.viewrotate.y=0;var.viewrotate.z=0;
	var.xpos=-10,var.ypos=0,var.viewdistance=30,var.xscale=0.04,var.yscale=0.04,var.gridfac=50,var.stepsize=0.001f;
	snd.time = 0;
	SetValue(&m_Step,var.stepsize,5);
	SetValue(&m_Grid,var.gridfac,3);
	SetValue(&m_XS,(float)var.xscale,6);
	SetValue(&m_YS,(float)var.yscale,6);

	InvalidateRect(dd.DrawFrame,false);
}

//------------------------------------------------------------------------------------------

void CVfcalcDlg::OnLButtonDown(UINT nFlags, CPoint point) 
{
	if (MouseMoveMode==MMM_NONE)
	{
	if (dd.DrawFrame.PtInRect(point)==TRUE)
	{
		SetCapture();
		MouseMoveMode=MMM_SLIDE;
	}
	CRect c;
	m_SldA.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)	{	MouseMoveMode=MMM_SA;SetCapture();	}
	m_SldB.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)	{	MouseMoveMode=MMM_SB;SetCapture();	}
	m_SldC.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)	{	MouseMoveMode=MMM_SC;SetCapture();	}
	m_SldD.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)	{	MouseMoveMode=MMM_SD;SetCapture();	}
	m_SldF.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)	{	MouseMoveMode=MMM_SF;SetCapture();	}
	m_SldG.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)	{	MouseMoveMode=MMM_SG;SetCapture();	}
	m_SldH.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)	{	MouseMoveMode=MMM_SH;SetCapture();	}
	m_SldJ.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)	{	MouseMoveMode=MMM_SJ;SetCapture();	}
	m_SldD1.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)	{	MouseMoveMode=MMM_DT1;SetCapture();	}
	m_SldD2.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)	{	MouseMoveMode=MMM_DT2;SetCapture();	}
	m_SldGrid.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)	{	MouseMoveMode=MMM_GRID;SetCapture();	}
	m_SldStep.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)	{	MouseMoveMode=MMM_STEP;SetCapture();	}
	m_SldD3.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)	{	MouseMoveMode=MMM_DT3;SetCapture();	}
	m_SldD4.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)	{	MouseMoveMode=MMM_DT4;SetCapture();	}
	m_SldPX.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)	{	MouseMoveMode=MMM_PX;SetCapture();	}
	m_SldPY.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)	{	MouseMoveMode=MMM_PY;SetCapture();	}
	m_SldFC.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)	{	MouseMoveMode=MMM_FC;SetCapture();	}
	m_SldFS.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)	{	MouseMoveMode=MMM_FS;SetCapture();	}
	m_SldAc.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)	{	MouseMoveMode=MMM_AC;SetCapture();	}
	ResetWrap();
	}
	CDialog::OnLButtonDown(nFlags, point);
}

//------------------------------------------------------------------------------

void CVfcalcDlg::OnLButtonUp(UINT nFlags, CPoint point) 
{
	MouseMoveMode=MMM_NONE;	
	ReleaseCapture();
	CDialog::OnLButtonUp(nFlags, point);
}

//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------

void CVfcalcDlg::UpdateNumbers(double x,double y)
{
	// Linear view..
	if (sw.FixParam==true)x=var.parx,y=var.pary;
	CalcObj->ShowNumbers(x,y);
}; // updates numbers in nummerical view

//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------


void CVfcalcDlg::OnMouseMove(UINT nFlags, CPoint point) 
{
	CRect rc;
	if (MouseMoveMode!=MMM_NONE){MakeWrapped(&point);ScreenToClient(&point);}
	dd.Setup(this);
	double x,y,nx,ny;

	if (dd.DrawFrame.PtInRect(point)==TRUE)
	{
		x=((double)point.x-dd.ftow_xoffset)/dd.ftow_xscale;
		y=((double)point.y-dd.ftow_yoffset)/dd.ftow_yscale;
		UpdateNumbers(x,y);
	}

	double dx=(double)(LastMouse.x-point.x),dy=(double)(LastMouse.y-point.y);
	if (MouseMoveMode!=MMM_NONE)
	{

	switch (MouseMoveMode)
	{
		case MMM_SLIDE:
			if (!CalcObj->Has3DControl)
			{
				var.xpos+=(dx)/dd.ftow_xscale;
				var.ypos+=(dy)/dd.ftow_yscale;
				InvalidateRect(dd.DrawFrame,false);			
			}
			else // do 3d rotate
			{
				if ((nFlags&MK_SHIFT)!=0 && CalcObj->HasSlideOnShift)
				{
				 // do move area
					double xd=var.dt2-var.dt1,
						   yd=var.dt4-var.dt3;

					var.dt1+=xd*((dx)/500.0);
					var.dt2+=xd*((dx)/500.0);
					var.dt3+=yd*((dy)/500.0);
					var.dt4+=yd*((dy)/500.0);
					if (var.dt2<var.dt1)var.dt1*=-1,var.dt2*=-1,var.dt3*=-1,var.dt4*=-1;
					if (var.dt4<var.dt3)var.dt1*=-1,var.dt2*=-1,var.dt3*=-1,var.dt4*=-1;
					SetValue(&m_DomT1,var.dt1,4);
					SetValue(&m_DomT2,var.dt2,4);
					SetValue(&m_DomT3,var.dt3,4);
					SetValue(&m_DomT4,var.dt4,4);
				}
				else
				{
					var.viewrotate.x-=(float)dy/3.0f;
					var.viewrotate.z-=(float)dx/3.0f;
				}
			}
			break;
		case MMM_SCALE:
			if (!CalcObj->Has3DControl)
			{

				x=((double)MouseOrigin.x-dd.ftow_xoffset)/dd.ftow_xscale;
				y=((double)MouseOrigin.y-dd.ftow_yoffset)/dd.ftow_yscale;
				var.xscale+=var.xscale*(float)(dx/50.0f);
				var.yscale+=var.yscale*(float)(dy/50.0f);
				if (var.yscale<0.00000001)var.yscale=0.00000001;
				if (var.xscale<0.00000001)var.xscale=0.00000001;
				if (var.xscale>100000)var.xscale=100000;
				if (var.yscale>100000)var.yscale=100000;

				// Change xoffset too
				dd.f_end=(dd.w_end-dd.w_start)*var.xscale+var.xpos;
				dd.f_min=-dd.w_mid*var.yscale+var.ypos;
				dd.f_max=dd.w_mid*var.yscale+var.ypos;
				dd.ftow_xscale=(dd.w_end-dd.w_start)/(dd.f_end-dd.f_start);
				dd.ftow_xoffset=-dd.ftow_xscale*dd.f_start+dd.w_start;
				dd.ftow_yscale=(dd.w_max-dd.w_min)/(dd.f_max-dd.f_min);
				dd.ftow_yoffset=-dd.ftow_yscale*dd.f_min+dd.w_min;
				nx=x-((double)MouseOrigin.x-dd.ftow_xoffset)/dd.ftow_xscale;
				ny=y-((double)MouseOrigin.y-dd.ftow_yoffset)/dd.ftow_yscale;
				var.xpos+=nx;
				var.ypos+=ny;
				
				SetValue(&m_XS,(float)var.xscale,9);
				SetValue(&m_YS,(float)var.yscale,9);
			}
			else  // do 3d zoom
			{
				if ((nFlags&MK_SHIFT)!=0 && CalcObj->HasSlideOnShift)
				{ // do scale area
					double xd=var.dt2-var.dt1,
						   yd=var.dt4-var.dt3;
					
					var.dt1-=xd*((dx)/1000.0);
					var.dt2+=xd*((dx)/1000.0);
					var.dt3-=yd*((dy)/1000.0);
					var.dt4+=yd*((dy)/1000.0);
					SetValue(&m_DomT1,var.dt1,4);
					SetValue(&m_DomT2,var.dt2,4);
					SetValue(&m_DomT3,var.dt3,4);
					SetValue(&m_DomT4,var.dt4,4);
					InvalidateRect(dd.DrawFrame,false);			
				}
				else
				{
					var.viewdistance+=var.viewdistance*(float)(dy/100.0f);
					if (var.viewdistance<1)var.viewdistance=1;	
				}
			}
			break;
		case MMM_SA: MouseSlide(dy,var.a);SetValue(&m_EdA,var.a,4);break;
		case MMM_SB: MouseSlide(dy,var.b);SetValue(&m_EdB,var.b,4);break;
		case MMM_SC: MouseSlide(dy,var.c);SetValue(&m_EdC,var.c,4);break;
		case MMM_SD: MouseSlide(dy,var.d);SetValue(&m_EdD,var.d,4);break;
		case MMM_SF: MouseSlide(dy,var.f);SetValue(&m_EdF,var.f,4);break;
		case MMM_SG: MouseSlide(dy,var.g);SetValue(&m_EdG,var.g,4);break;
		case MMM_SH: MouseSlide(dy,var.h);SetValue(&m_EdH,var.h,4);break;
		case MMM_SJ: MouseSlide(dy,var.j);SetValue(&m_EdJ,var.j,4);break;
		case MMM_PX: MouseSlide(dy,var.parx);SetValue(&m_ParamX,var.parx,4);break;
		case MMM_PY: MouseSlide(dy,var.pary);SetValue(&m_ParamY,var.pary,4);break;
		case MMM_FC: 
			var.fclip+=(float)(dy/10.0f);
			if (var.fclip<0)var.fclip=0;
			SetValue(&m_FuncClip,var.fclip,4);
			snd.buftime=var.fclip;
			if (var.fclip<MINIMUMBLOCKTIMING)snd.buftime=MINIMUMBLOCKTIMING;
			if (var.fclip>MAXIMUMBLOCKTIMING)snd.buftime=MAXIMUMBLOCKTIMING;
			if (CalcObj->HasSoundReset){CloseSound();OpenSound();}
			break;
		case MMM_FS: 
			var.fscale+=(float)(dy/100.0f);
			if (var.fscale<0.01)var.fscale=0.01;
			SetValue(&m_FuncScale,var.fscale,4);
			break;
		case MMM_DT1: 
			MouseSlide(dy,var.dt1);
			if (var.dt1>1000000)var.dt1=1000000;
			if (var.dt1>var.dt2)var.dt1=var.dt2-0.001f;
			SetValue(&m_DomT1,var.dt1,4);
			snd.time=var.dt1;
			break;
		case MMM_DT2: 
			MouseSlide(dy,var.dt2);
			if (var.dt2<-1000000)var.dt2=-1000000;
			if (var.dt2<var.dt1)var.dt2=var.dt1+0.001f;
			SetValue(&m_DomT2,var.dt2,4);
			snd.time=var.dt1;
			break;
		case MMM_DT3: 
			MouseSlide(dy,var.dt3);
			if (var.dt3>1000000)var.dt3=1000000;
			if (var.dt3>var.dt4)var.dt3=var.dt4-0.001f;
			SetValue(&m_DomT3,var.dt3,4);
			snd.time=var.dt1;
			break;
		case MMM_DT4: 
			MouseSlide(dy,var.dt4);
			if (var.dt4<-1000000)var.dt4=-1000000;
			if (var.dt4<var.dt3)var.dt4=var.dt3+0.001f;
			SetValue(&m_DomT4,var.dt4,4);
			break;
		case MMM_GRID:
			if (var.gridfac<0.0001 && dy>0)var.gridfac=0.0001;
			var.gridfac+=var.gridfac*(float)(dy/100.0f);
			if (var.gridfac<0)var.gridfac=0;
			if (var.gridfac>100000)var.gridfac=100000;
			SetValue(&m_Grid,var.gridfac,4);
			break;
		case MMM_STEP:
			var.stepsize+=(float)(dy/10000.0f);
			if (var.stepsize<0.0001f)var.stepsize=0.0001f;
			if (var.stepsize>1)var.stepsize=1;
			SetValue(&m_Step,var.stepsize,4);
			break;
		case MMM_AC: // accuracy
			var.accuracy+=(float)(dy/100.0f);
			if (var.accuracy<1)var.accuracy=1;
			if (var.accuracy>14)var.accuracy=14;
			var.acc=pow(10,-var.accuracy);
			SetValue(&m_Accuracy,var.accuracy,4);
			break;
	}
	Recalc(); InvalidateRect(dd.DrawFrame,false);	

	}
	dd.Delete();
	LastMouse=point;
	CDialog::OnMouseMove(nFlags, point);
}

//------------------------------------------------------------------------------

void CVfcalcDlg::OnRButtonDown(UINT nFlags, CPoint point) 
{
	if (MouseMoveMode==MMM_NONE)
	{

	if (dd.DrawFrame.PtInRect(point)==TRUE)
	{
		SetCapture();
		MouseMoveMode=MMM_SCALE;
		MouseOrigin=point;
		//ClientToScreen(&MouseOrigin);
		ResetWrap();
	}
	}
	CDialog::OnRButtonDown(nFlags, point);
}

//------------------------------------------------------------------------------

void CVfcalcDlg::OnRButtonUp(UINT nFlags, CPoint point) 
{
	if (MouseMoveMode==MMM_NONE)
	{
		CRect c;
		bool showpopup=false;
		m_SldA.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)showpopup=true;
		m_SldB.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)showpopup=true;
		m_SldC.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)showpopup=true;
		m_SldD.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)showpopup=true;
		m_SldF.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)showpopup=true;
		m_SldG.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)showpopup=true;
		m_SldH.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)showpopup=true;
		m_SldJ.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)showpopup=true;
		m_SldD1.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)showpopup=true;
		m_SldD2.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)showpopup=true;
		m_SldGrid.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)showpopup=true;
		m_SldStep.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)showpopup=true;
		m_SldD3.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)showpopup=true;
		m_SldD4.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)showpopup=true;
		m_SldPX.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)showpopup=true;
		m_SldPY.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)showpopup=true;
		m_SldFC.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)showpopup=true;
		m_SldFS.GetWindowRect(&c);ScreenToClient(&c);if (c.PtInRect(point)==TRUE)showpopup=true;
		if (showpopup)MouseSlidePopup(&point);
	}
	MouseMoveMode=MMM_NONE;	
	ReleaseCapture();
	CDialog::OnRButtonUp(nFlags, point);
}

//------------------------------------------------------------------------------

double CVfcalcDlg::clipf(double v)
{
	if (var.fclip!=0)
	{
		if (v<-var.fclip)return(-var.fclip);
		if (v>var.fclip)return(var.fclip);
		return(v);
	}
	return(v); 
} 

//------------------------------------------------------------------------------

void CVfcalcDlg::OnSize(UINT nType, int cx, int cy) 
{
	if (SizeMessagesActive)
	{
		SizeControl(&m_DrawFrame       ,cx,cy,0,0,1,1);
		SizeControl(&m_FrameValue      ,cx,cy,0,0,1,0);
		SizeControl(&m_FrameViewOptions,cx,cy,0,0,0,1); 
		SizeControl(&m_FrameFixParam   ,cx,cy,0,0,1,0);

		GetControlRect(&m_DrawFrame,&dd.DrawFrame,3,3,3,3);
		
		sw.Animate=false;sw.Rotate=false;SetBool(&m_Animate,false);SetBool(&m_Rotate,false);
		InvalidateRect(NULL);
		// resize call
		CalcObj->Resize();
	}
} 

//------------------------------------------------------------------------------

void CVfcalcDlg::OnTimer(UINT nIDEvent) 
{
	if ( (sw.Rotate || sw.Animate))//	&& !sw.OnHold)
	{  
		InvalidateRect(dd.DrawFrame,false);
	}
	
	CDialog::OnTimer(nIDEvent);
}

//------------------------------------------------------------------------------
 
void CVfcalcDlg::ReparseFunction(short w)
{ 
	lock(FuncLock); 
	long isasm=0; if (!sw.Asm)isasm=1;
	if (w==0 || w==-1)  func.fa.Create(func.a);
	if (w==1 || w==-1)  func.fb.Create(func.b);
	if (w==2 || w==-1)  func.fc.Create(func.c);
	if (w==3 || w==-1)  func.fk.Create(func.k);
	if (w==4 || w==-1)  func.fl.Create(func.l);
	if (w==5 || w==-1)  func.fm.Create(func.m); 
	unlock(FuncLock);
	Recalc(); 
}

//------------------------------------------------------------------------------

void CVfcalcDlg::UpdateType() // hides unhides window items according to calctype..
{
	CalcObj->Shutdown();
	delete CalcObj;
	switch(var.CalcType)
	{
//		case	_CT_FST3D:	CalcObj=new CalcMode_3dfst(this);   break;	
		case	_CT_FTS:	CalcObj=new CalcMode_fts(this);	 break;
		case	_CT_FXYIM:  CalcObj=new CalcMode_xyim(this); break;
		case	_CT_FXY:	CalcObj=new CalcMode_3dxy(this); break;
		case	_CT_FT3D:	CalcObj=new CalcMode_ft3d(this); break;
		case	_CT_FT:		CalcObj=new CalcMode_ft(this);   break;
		case	_CT_EQ:		CalcObj=new CalcMode_eq(this);   break;
		case	_CT_CALC :  CalcObj=new CalcMode_calc(this); break;
		case	_CT_FX:		CalcObj=new CalcMode_fx(this);   break;
		
	}
	CalcObj->Initialize();
	CalcObj->SetControls();
	InvalidateRect(NULL);
	sw.Animate=false;sw.Rotate=false;SetBool(&m_Animate,false);SetBool(&m_Rotate,false);
}

//------------------------------------------------------------------------------

void CVfcalcDlg::Recalc() // recalculates function and updates variables..
{
	func.SetVar('a',var.a);func.SetVar('b',var.b);func.SetVar('c',var.c);
	func.SetVar('d',var.d);func.SetVar('f',var.f);func.SetVar('g',var.g);
	func.SetVar('h',var.h);func.SetVar('j',var.j);func.SetVar('p',PI);
	func.SetVar('e',E);
}

//------------------------------------------------------------------------------

void CVfcalcDlg::OnSelchangeColormode() {	var.colormode=m_ColorMode.GetCurSel();	InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnChangeXsedit() {	var.xscale=IsUpdating(limitvar(calcexpression(&m_XS),0.00000001f,100000,true,true));InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnChangeYsedit() {	var.yscale=IsUpdating(limitvar(calcexpression(&m_YS),0.00000001f,100000,true,true));InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnSelchangeViewtype() {	var.outputmode=m_ViewType.GetCurSel();	InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnFixparam() {	sw.FixParam=GetBool(&m_FixParam);Recalc();InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnChangeParamx() {	var.parx=IsUpdating(calcexpression(&m_ParamX));Recalc();InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnChangeParamy() {	var.pary=IsUpdating(calcexpression(&m_ParamY));Recalc();InvalidateRect(dd.DrawFrame,false);}

//------------------------------------------------------------------------------


void CVfcalcDlg::OnAnimate() {	sw.Animate=GetBool(&m_Animate);var.StartTime=GetTime();}
void CVfcalcDlg::OnRotate()  {	sw.Rotate=GetBool(&m_Rotate);}
void CVfcalcDlg::OnReset()   {	var.StartTime=GetTime();snd.time=0;}

//------------------------------------------------------------------------------------------------

void CVfcalcDlg::OnChangeFuncclip() 
{
	var.fclip=limitvar(calcexpression(&m_FuncClip),0,0,true,false);InvalidateRect(dd.DrawFrame,false);
	snd.buftime=var.fclip;
	if (var.fclip<MINIMUMBLOCKTIMING)snd.buftime=MINIMUMBLOCKTIMING;
	if (var.fclip>MAXIMUMBLOCKTIMING)snd.buftime=MAXIMUMBLOCKTIMING;
	if (CalcObj->HasSoundReset){CloseSound();OpenSound();}	
}

//------------------------------------------------------------------------------------------------

void CVfcalcDlg::OnChangeFuncscale() {	var.fscale=IsUpdating(limitvar(calcexpression(&m_FuncClip),0.01f,0,true,false));InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnSelchangeViewsubtype() 
{
	var.SubType=m_ViewSubType.GetCurSel();InvalidateRect(dd.DrawFrame,false);
	if (CalcObj->HasSoundReset){CloseSound();OpenSound();}
}

//------------------------------------------------------------------------------------------------

void CVfcalcDlg::OnChangeAccuracy() {	var.accuracy=IsUpdating(limitvar(calcexpression(&m_Accuracy),2,14,true,true));InvalidateRect(dd.DrawFrame,false);var.acc=pow(10,-var.accuracy);}

//------------------------------------------------------------------------------------------------

void CVfcalcDlg::OnSelchangeFuncedc() {char temp[512];m_FuncCC.GetLBText(m_FuncCC.GetCurSel(),temp);m_FuncCC.SetWindowText(temp);OnEditchangeFuncedc();}
void CVfcalcDlg::OnSelchangeFuncedb() {char temp[512];m_FuncCB.GetLBText(m_FuncCB.GetCurSel(),temp);m_FuncCB.SetWindowText(temp);OnEditchangeFuncedb();}
void CVfcalcDlg::OnSelchangeFunceda() {char temp[512];m_FuncCA.GetLBText(m_FuncCA.GetCurSel(),temp);m_FuncCA.SetWindowText(temp);OnEditchangeFunceda();}
void CVfcalcDlg::OnSelchangeFuncedk() {char temp[512];m_FuncCM.GetLBText(m_FuncCM.GetCurSel(),temp);m_FuncCM.SetWindowText(temp);OnEditchangeFuncedm();}
void CVfcalcDlg::OnSelchangeFuncedl() {char temp[512];m_FuncCL.GetLBText(m_FuncCL.GetCurSel(),temp);m_FuncCL.SetWindowText(temp);OnEditchangeFuncedl();}
void CVfcalcDlg::OnSelchangeFuncedm() {char temp[512];m_FuncCK.GetLBText(m_FuncCK.GetCurSel(),temp);m_FuncCK.SetWindowText(temp);OnEditchangeFuncedk();}

//------------------------------------------------------------------------------------------------
 
void CVfcalcDlg::OnEditchangeFunceda() {func.a.GetWnd(&m_FuncCA);ReparseFunction(-1);InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnEditchangeFuncedb() {func.b.GetWnd(&m_FuncCB);ReparseFunction(1);InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnEditchangeFuncedc() {func.c.GetWnd(&m_FuncCC);ReparseFunction(2);InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnEditchangeFuncedk() {func.k.GetWnd(&m_FuncCK);ReparseFunction(3);InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnEditchangeFuncedl() {func.l.GetWnd(&m_FuncCL);ReparseFunction(4);InvalidateRect(dd.DrawFrame,false);}
void CVfcalcDlg::OnEditchangeFuncedm() {func.m.GetWnd(&m_FuncCM);ReparseFunction(5);InvalidateRect(dd.DrawFrame,false);}

//------------------------------------------------------------------------------------------------

#define AddToAllLB(a) m_FuncCA.AddString(a);m_FuncCB.AddString(a);m_FuncCC.AddString(a);m_FuncCK.AddString(a);m_FuncCL.AddString(a);m_FuncCM.AddString(a);

void CVfcalcDlg::OnAdda() {	AddToAllLB(func.a);}
void CVfcalcDlg::OnAddb() {	AddToAllLB(func.b);}
void CVfcalcDlg::OnAddc() {	AddToAllLB(func.c);}

//------------------------------------------------------------------------------------------------
#define VFCALC_FILEVERSION 100 
#define VFCALC_FILEID	   0x31298734 
bool CVfcalcDlg::SaveFile(String *filename)
{
	Archive arc;
	FileIO	file;

	if (file.Open(*filename,SerialIO::mode_write)==false)	
	{
		MsgBox("Save: Could not open file %s", (char *)filename);return(false);
	};
	if (arc.Open(&file,Archive::Save,VFCALC_FILEVERSION,VFCALC_FILEID)==false)
	{
		file.Close();
		MsgBox("Save(): Could not open archive %s", (char *)filename);return(false);
	};
	arc<<sw<<var<<func;
	char temp[2000];
	long i,l=m_FuncCA.GetCount();
	arc<<l;
	for (i=0;i<l;i++)
	{
		m_FuncCA.GetLBText(i,temp);
		String t=temp;
		arc<<t;
	}

	arc.Close();
	file.Close();
	return(true);
}

//------------------------------------------------------------------------------------------------

bool CVfcalcDlg::LoadFile(String *filename)
{
	Archive arc;
	FileIO	file;

	if (file.Open(*filename,SerialIO::mode_read)==false)	
	{
		//MsgBox("Load: Could not open file %s", (char *)filename);
		return(false);
	};
	if (arc.Open(&file,Archive::Load,VFCALC_FILEVERSION,VFCALC_FILEID,true)==false)
	{
		file.Close();
		MsgBox("Load(): Could not open archive %s", (char *)filename);return(false);
	};
	arc>>sw>>var>>func;
	sw.Set(this);var.Set(this);func.Set(this);
	long i,l;
	arc>>l;
	for (i=0;i<l;i++)
	{
		String t;
		arc>>t;
		if (t.Length()>0)
		{
			m_FuncCA.AddString(t);m_FuncCB.AddString(t);m_FuncCC.AddString(t);
			m_FuncCK.AddString(t);m_FuncCL.AddString(t);m_FuncCM.AddString(t);
		}
	}

	arc.Close();
	file.Close();
	return(true);
}

//------------------------------------------------------------------------------------------------
     
void CVfcalcDlg::OnSave() 
{
	String filename="noname.vfc\0";
	sw.OnHold=true;
	CFileDialog cf(false,"*.vfc",filename,0,"VF Calc files (*.vfc)|*.vfc||",this);
	if (cf.DoModal()==IDOK)
	{
		filename=(char *)(LPCTSTR)cf.GetPathName();
		SaveFile(&filename);
	}
	sw.OnHold=false;
}

//------------------------------------------------------------------------------------------------


void CVfcalcDlg::OnLoad() 
{
	String filename="noname.vfc\0";
	sw.OnHold=true;
	CFileDialog cf(true,"*.vfc",filename,0,"VFCalc files (*.vfc)|*.vfc||",this);
	if (cf.DoModal()==IDOK)
	{
		filename=(char *)(LPCTSTR)cf.GetPathName();
		
		//if (AfxMessageBox(_T_CLRMSG,MB_YESNO)==IDYES)
		//{
			m_FuncCA.ResetContent();m_FuncCB.ResetContent();m_FuncCC.ResetContent();
			m_FuncCK.ResetContent();m_FuncCL.ResetContent();m_FuncCM.ResetContent();
		//}
		LoadFile(&filename);
	}
	sw.OnHold=false;
}

//------------------------------------------------------------------------------------------------


void CVfcalcDlg::OnFreset() 
{
	sw.OnHold=true;
	if (AfxMessageBox(_T_CLRMSG,MB_YESNO)==IDYES)
	{
		func.a="\0";
		m_FuncCA.ResetContent();OnEditchangeFunceda(); 
		m_FuncCB.ResetContent();OnEditchangeFuncedb(); 
		m_FuncCC.ResetContent();OnEditchangeFuncedc(); 
		m_FuncCK.ResetContent();OnEditchangeFuncedk(); 
		m_FuncCL.ResetContent();OnEditchangeFuncedl(); 
		m_FuncCM.ResetContent();OnEditchangeFuncedm(); 

	}
	sw.OnHold=false;
}

//------------------------------------------------------------------------------------------------

void CVfcalcDlg::OnHelpme() 
{
	// Open a help file.. for now show about box.
	CAboutDlg d;d.DoModal();	
}

//------------------------------------------------------------------------------------------------

void CVfcalcDlg::OnToclipboard() 
{
	ToClipboard=true;
	InvalidateRect(dd.DrawFrame,false);
}
 
//------------------------------------------------------------------------------------------------
//Sound message handlers
//------------------------------------------------------------------------------

void CVfcalcDlg::MouseSlide(double delta,double &val)
{
	switch(var.slidemode)
	{
		case 0: val+=delta*0.01;     break;  
		case 1: val+=delta*0.00001;     break;
		case 2: val+=delta*0.0001;     break;
		case 3: val+=delta*0.001;     break;	
		case 4: val+=delta*0.01;     break;
		case 5: val+=delta*0.1;     break;
		case 6: val+=delta*1;     break;
		case 7: val+=delta*10;     break;
		case 8: val+=delta*100;     break;
		case 9: val+=delta*1000;     break;
		case 10: val+=delta*10000;     break;
		case 11: val+=delta*100000;     break;
		case 12: 
			if (val==0)val=0.001f;
			val+=val*delta*0.001;  
		break;
	}
}
 
//------------------------------------------------------------------------------

void  CVfcalcDlg::MouseSlidePopup(CPoint *where)
{   
	ClientToScreen(where);
	CMenu c;c.CreatePopupMenu(); 
	c.AppendMenu(MF_STRING,2500,"default");
	c.AppendMenu(MF_STRING,2501,"0.00001"); 
	c.AppendMenu(MF_STRING,2502,"0.0001"); 
	c.AppendMenu(MF_STRING,2503,"0.001");
	c.AppendMenu(MF_STRING,2504,"0.01");
	c.AppendMenu(MF_STRING,2505,"0.1");
	c.AppendMenu(MF_STRING,2506,"1");
	c.AppendMenu(MF_STRING,2507,"10");
	c.AppendMenu(MF_STRING,2508,"100");
	c.AppendMenu(MF_STRING,2509,"1000");
	c.AppendMenu(MF_STRING,2510,"10000");
	c.AppendMenu(MF_STRING,2511,"100000");
	c.AppendMenu(MF_STRING,2512,"log");
	c.CheckMenuRadioItem(2500,2513,2500+var.slidemode,MF_BYCOMMAND);
	short ret;
	OpenPopupMenu(this,&ret,&c,where);	
	if (ret>=0 && ret<=12)var.slidemode=ret;
}

//------------------------------------------------------------------------------

void CVfcalcDlg::OnShownum() 
{
	sw.ShowNum=GetBool(&m_ShowNum);
	InvalidateRect(dd.DrawFrame,false);	
}


void CVfcalcDlg::OnAsmOptimize() 
{
	sw.Asm=GetBool(&m_Asm);
	ReparseFunction(-1);
	InvalidateRect(dd.DrawFrame,false);	
}

void CVfcalcDlg::OnMove(int x, int y) 
{
	CDialog::OnMove(x, y);
	if (CalcObj!=NULL)CalcObj->Resize();	
}

void CVfcalcDlg::OnStnClickedDomaintitle()
{
	// TODO: Add your control notification handler code here
}

void CVfcalcDlg::OnEnChangeViewEb()
{
	// TODO:  If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialogTool::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.

	// TODO:  Add your control notification handler code here
}

void CVfcalcDlg::OnStnClickedFuncoutpretype1()
{
	// TODO: Add your control notification handler code here
}
